package _VisualDVM.GlobalData.RemoteFile.UI;
import Common.Visual.Trees.DataTree;
import _VisualDVM.Current;
import _VisualDVM.Global;
public class RemoteFilesTree extends DataTree {
    public RemoteFilesTree() {
        super(Global.mainModule.getUI().getRemoteFileChooser().root);
    }
    @Override
    public Class getRendererClass() {
        return RendererTreeRemoteFile.class;
    }
    @Override
    public Current currentName() {
        return Current.RemoteFile;
    }
    @Override
    public void ShowCurrentObject() {
        Global.mainModule.getUI().getRemoteFileChooser().ShowCurrentRemoteFile();
    }
    @Override
    public void LeftMouseAction2() {
        if (Global.mainModule.HasRemoteFile() && Global.mainModule.getRemoteFile().isDirectory()) {
            Global.mainModule.getUI().getRemoteFileChooser().Refresh(Global.mainModule.getRemoteFile().full_name);
        }
    }
}
